package tools.wztosql;

import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import provider.MapleData;
import provider.MapleDataProvider;
import provider.MapleDataProviderFactory;
import provider.MapleDataTool;
import tools.FileoutputUtil;
import tools.StringUtil;

public class DumpHairFaceTxt {

   public static void main(String[] args) {
      DumpHairFaceTxt dump = new DumpHairFaceTxt();
      System.out.println("HairMySQL......");
      dump.dumpHairFaceData("Hair");
      System.out.println("FaceMySQL......");
      dump.dumpHairFaceData("Face");
      System.out.println("結束。");
   }

   public void dumpHairFaceData(String type) {
      File dataFile = new File((System.getProperty("path") != null?System.getProperty("path"):"") + "wz/Character.wz/" + type);
      File strDataFile = new File((System.getProperty("path") != null?System.getProperty("path"):"") + "wz/String.wz");
      MapleDataProvider chrData = MapleDataProviderFactory.getDataProvider(dataFile);
      MapleDataProvider stringDataWZ = MapleDataProviderFactory.getDataProvider(strDataFile);
      MapleData chrStringData = stringDataWZ.getData("Eqp.img").getChildByPath("Eqp/" + type);
      ArrayList list = new ArrayList();
      Iterator i = chrStringData.iterator();

      while(i.hasNext()) {
         MapleData c = (MapleData)i.next();
         int chrid = Integer.parseInt(c.getName());
         String n = StringUtil.getLeftPaddedStr(chrid + ".img", '0', 12);
         String name = MapleDataTool.getString("name", c, "无");
         list.add(Integer.valueOf(chrid));
      }

      Collections.sort(list);

      for(int var13 = 0; var13 < list.size(); ++var13) {
         if(type.contains("Hair") && Integer.parseInt(((Integer)list.get(var13)).toString().substring(4, 5)) == 0) {
            FileoutputUtil.logToFile("logs/Hair.txt", ((Integer)list.get(var13)).toString() + ",");
         }

         if(type.contains("Face") && Integer.parseInt(((Integer)list.get(var13)).toString().substring(2, 3)) == 0) {
            FileoutputUtil.logToFile("logs/Face.txt", ((Integer)list.get(var13)).toString() + ",");
         }
      }

   }
}
